> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Scan Input



## OpenAPI

````yaml /api-reference/openapi.json post /api/runtime-security/scan/input
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/runtime-security/scan/input:
    post:
      tags:
        - runtime-security
      summary: Scan Input
      operationId: scan_input_api_runtime_security_scan_input_post
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScanInputRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScanResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ScanInputRequest:
      properties:
        text:
          type: string
          title: Text
          description: The user prompt about to be sent to the LLM.
        source_app:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Source App
        provider:
          anyOf:
            - type: string
              maxLength: 32
            - type: 'null'
          title: Provider
        model:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Model
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - text
      title: ScanInputRequest
    ScanResponse:
      properties:
        uuid:
          type: string
          title: Uuid
        verdict:
          type: string
          title: Verdict
        injection:
          type: object
          title: Injection
        pii:
          type: object
          title: Pii
        redacted_text:
          type: string
          title: Redacted Text
        blocked_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Blocked Reason
        latency_ms:
          type: integer
          title: Latency Ms
        text_length:
          type: integer
          title: Text Length
      type: object
      required:
        - uuid
        - verdict
        - injection
        - pii
        - redacted_text
        - latency_ms
        - text_length
      title: ScanResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````